$Cambridge: hermes/src/prayer/docs/CMD_LINE,v 1.2 2008/09/16 09:59:56 dpc22 Exp $

Command line options for the various servers
============================================

prayer:
  --config-file:     Define prayer config file
                     (Overrides compilation default and PRAYER_CONFIG_FILE)
  --config-option:   Override single configuration option

  --foreground:      Run single threaded server in  foreground
  --disable-prefork: Run as simple fork()/exec() daemon
  --disable-session: Don't start up prayer-session server
  --help:            Lists command line options
  --:                End of prayer options: remaining options will be passed
                     to prayer-session server process only.


prayer-session:
  --config-file:     Define prayer config file
                    (Overrides compilation default and PRAYER_CONFIG_FILE)
  --config-option:   Override single configuration option

  --foreground:      Run single threaded session server in foreground
  --help:            Lists command line options

Example:

   prayer --config-file=./prayer-debug.cf               \
          --config-option service_name="Webmail"        \
          --                                            \
          --config-option imapd_server=localhost:8143   \
          --foreground

Starts up prayer and prayer-session master servers, defining configuration
file and "service_name" variable in both processes. In addition the
imapd_server variable is defined in the prayer-session server and this
server is run in "foreground" mode which is useful for debugging single
login sessions.
